Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.core.constraint
Class Delegation

    java.lang.Object
      net.jini.core.constraint.Delegation

All Implemented Interfaces:
  InvocationConstraint, Serializable

public final class Delegation
extends Object
implements InvocationConstraint, Serializable

Represents a constraint on delegation from the client to the server. If the client delegates to the server, the server receives credentials which allow the server to authenticate using the client's identity in subsequent remote calls that the server makes or receives. (The credentials should at least be sufficient for the authentication mechanism used between the original client and server; they might not be sufficient if a different mechanism is used when exercising the delegation.)

The use of an instance of this constraint does not directly imply a `ClientAuthentication.YES` constraint; that must be specified separately to ensure that the client actually authenticates itself.

Serialization for this class is guaranteed to produce instances that are comparable with `==`.

Since:
  2.0
See Also:
  `ClientAuthentication`, `DelegationAbsoluteTime`, `DelegationRelativeTime`, `ClientSubject`, `ServerContext`, Serialized Form

Field Summary
`static Delegation` | `NO` Do not delegate from the client to the server, such that the server does not receive credentials which would allow it to authenticate using the client's identity.
`static Delegation` | `YES` If the client authenticates to the server, then delegate from the client to the server, such that the server receives credentials which allow it to authenticate using the client's identity in subsequent remote calls that the server makes or receives.

Method Summary
`String` | `toString()` Returns a string representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### YES

    public static final Delegation YES

  If the client authenticates to the server, then delegate from the client to the server, such that the server receives credentials which allow it to authenticate using the client's identity in subsequent remote calls that the server makes or receives. The mechanisms and credentials used to support delegation are not specified by this constraint. Note that, because this constraint is conditional on client authentication, it does not conflict with `ClientAuthentication.NO`.

### NO

    public static final Delegation NO

  Do not delegate from the client to the server, such that the server does not receive credentials which would allow it to authenticate using the client's identity.

Method Detail

### toString

    public String toString()

  Returns a string representation of this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved